---
# Yggdrasil mesh network

- name: Yggdrasil | Fetch APT key from AWS S3
  ansible.builtin.apt_key:
    url: https://neilalexander.s3.dualstack.eu-west-2.amazonaws.com/deb/key.txt
    id: 569130E8CA20FBC4CB3FDE555898470A764B32C9
    state: present

- name: Yggdrasil | Add APT repository
  ansible.builtin.apt_repository:
    repo: 'deb http://neilalexander.s3.dualstack.eu-west-2.amazonaws.com/deb/ debian yggdrasil'
    state: present
    filename: yggdrasil
    update_cache: yes

- name: Yggdrasil | Install
  ansible.builtin.apt:
    name: yggdrasil
    state: present

- name: Yggdrasil | Enable Service
  ansible.builtin.systemd:
    name: yggdrasil.service
    enabled: yes
    daemon_reload: yes
    state: stopped

- name: Yggdrasil | Configure the service
  ansible.builtin.template:
    src: yggdrasil.j2
    dest: /etc/yggdrasil.conf.zsl
    owner: root
    group: root
    mode: 0640